Last Comment Bug 528752 - [Mac Classic] History drop-down height doesn't match full number of rows
: [Mac Classic] History drop-down height doesn't match full number of rows
Status: RESOLVED FIXED
: fixed-seamonkey2.0.5
Product: SeaMonkey
Classification: Client Software
Component: Themes (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Stefan [:stefanh]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-14 15:39 PST by Stefan [:stefanh]
Modified: 2010-04-04 03:01 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix height (585 bytes, patch)
2009-11-14 15:45 PST, Stefan [:stefanh]
mnyromyr: review+
Details | Diff | Splinter Review
make it 285px (585 bytes, patch)
2010-04-03 15:44 PDT, Stefan [:stefanh]
neil: superreview+
kairo: approval‑seamonkey2.0.5+
Details | Diff | Splinter Review

Description User image Stefan [:stefanh] 2009-11-14 15:39:10 PST
The 25em height of the history drop-down makes room for about 16 rows in Mac Classic. The "about" is the problem here - when you move down to the last visible entry, the list will scroll down a couple of pixels since the height doesn't match a full number of rows.

25em equals to 16 rows + a few pixels. Now, every row is 19px high, so optionally we should have a max-height of 304px
Comment 1 User image Stefan [:stefanh] 2009-11-14 15:45:34 PST
Created attachment 412433 [details] [diff] [review]
Fix height

Modern actually only show 15 rows, and there's also some extra space at the bottom, so all rows fit.
Comment 2 User image Stefan [:stefanh] 2009-11-14 15:46:41 PST
Karsten, this is also a comm-1.9.1 problem, so you should be able to look at it ;-)
Comment 3 User image neil@parkwaycc.co.uk 2009-11-14 15:51:55 PST
Comment on attachment 412433 [details] [diff] [review]
Fix height

How can you be sure that rows will always be 19px?
Comment 4 User image Stefan [:stefanh] 2009-11-14 16:36:17 PST
(In reply to comment #3)
> (From update of attachment 412433 [details] [diff] [review])
> How can you be sure that rows will always be 19px?

The min-height of a menuitem is 19px and the font we use here is smaller than in regular menuitems and you can't change the font-size in the OS ui.
Comment 5 User image Stefan [:stefanh] 2009-11-14 17:17:16 PST
fwiw, seems that 25.3em will also give me the height I want.
Comment 6 User image neil@parkwaycc.co.uk 2009-11-16 03:56:19 PST
Based on your figures we have 1em = 12px, so if you use 24em you should get 15 rows of 19 pixels plus 3 spare pixels, which will look similar to Modern (where we use 25em to get 16 rows of 17 pixels plus 3 spare pixels). If you don't have a border you could use 27em which would get you 17 rows plus 1 spare pixel.
Comment 7 User image Karsten Düsterloh 2009-11-27 17:47:44 PST
Given that Modern on Mac has 15 rows + some pixels, I'd prefer the 24em for Classic.
Comment 8 User image Stefan [:stefanh] 2009-11-28 04:56:00 PST
Using em will just get it "almost" right.
Comment 9 User image Karsten Düsterloh 2009-11-28 11:21:55 PST
Granted, but 15 rows à 19px would be 285px...
In either case, the number of rows should be the same for both themes, so I'm a bit unsure why this bug only covers Classic? One could argue that the Classic dropdown is more than sufficient to show its 15 entries like Modern does...
Comment 10 User image Stefan [:stefanh] 2009-11-28 15:18:35 PST
Sure, we can have 285px, I'm more concerned with not having any empty space at the bottom ;-)
Comment 11 User image Karsten Düsterloh 2009-12-13 15:06:58 PST
Comment on attachment 412433 [details] [diff] [review]
Fix height

Okay, given you make that 285px so that Classic and Modern show the same number of lines.
Comment 12 User image Stefan [:stefanh] 2010-04-03 15:44:24 PDT
Created attachment 436883 [details] [diff] [review]
make it 285px

Actually, we may want to have a different approach for trunk (since we don't support tiger, we can restyle it a bit), but I would like this to land on branch.
Comment 13 User image neil@parkwaycc.co.uk 2010-04-03 16:51:20 PDT
Comment on attachment 436883 [details] [diff] [review]
make it 285px

This would be wrong on any sane OS, but fortunately this is a Mac-only file.
Comment 14 User image Stefan [:stefanh] 2010-04-03 16:58:57 PDT
Comment on attachment 436883 [details] [diff] [review]
make it 285px

This is a safe ui-tweak for mac that will correct an annoyance in the history drop-down list.

Note You need to log in before you can comment on or make changes to this bug.